Subject: Re: [bitcoin-dev]Răspuns: Personal opinion on the fee market from a worried local trader

From: Tom Harding <[email-masked]>
Date: Thu, 30 Jul 2015 06:14:17 -0700

On 7/29/2015 9:48 PM, Ryan Butler via bitcoin-dev wrote:
>
> I shouldn't have said unlimited, i should have said a greater
> blocksize limit such as 8mb. 
>
> Anyways, why is that the assumption?  If a miner can do so, and do so
> profitably, isn't that just competition?  Isn't that what we want?  If
> a miner can mine low transaction fees at a profit then don't they
> deserve to have their spot?  Surely if they do so unprofitably they
> quickly find themselves out of business?  Besides, if a miner mines
> low fee transactions by breaking rank, how does this affect another
> miner EXCEPT for the additional blocksize load.  I would maintain this
> is just competition amongst miners gentlemen.  And it's a good thing.
>
> Right now things are distorted because most income comes from the
> coinbase, but as transaction fees start to constitute the majority of
> income this idea seems to have more importance.
>

You're completely correct Ryan.

There has been a well functioning fee market since 2011.  Average fees
have never been zero, despite low-fee transactions being mined, and
despite no block size pressure until September 2014.

Another empirical fact also needs explaining.  Why have average fees *as
measured in BTC* risen during the times of highest public interest in
bitcoin?  This happened without block size pressure, and it is not an
exchange rate effect -- these are raw BTC fees:

https://blockchain.info/charts/transaction-fees?timespan=all&daysAverageString=7

... more evidence that conclusively refutes the conjecture that a
production quota is necessary for a "functioning fee market."  A
production quota merely pushes up fees.  We have a functioning market,
and so far, it shows that wider bitcoin usage is even more effective
than a quota at pushing up fees.

> On Jul 29, 2015 11:00 PM, "Adam Back" <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>
>     The assumption is that wont work because any miner can break ranks and
>     do so profitably, so to expect otherwise is to expect oligopoly
>     behaviour which is the sort of antithesis of a decentralised mining
>     system.  It's in fact a similar argument as to why decentralisation of
>     mining provides policy neutrality: some miner somewhere with some
>     hashrate will process your transaction even if some other miners are
>     by policy deciding not to mine it.  It is also similar reason why free
>     transactions are processed today - policies vary and this is good for
>     ensuring many types of transaction get processed.
>